Bug 837142 - RFE: Add patch to allow disabling readline in maxima-runtime-clisp
RFE: Add patch to allow disabling readline in maxima-runtime-clisp
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: maxima (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-02 19:39 EDT by Paulo Andrade
Modified: 2012-07-08 12:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-08 12:03:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
maxima-5.27.0-clisp-noreadline.patch (1.46 KB, patch)
2012-07-02 19:40 EDT, Paulo Andrade
no flags Details | Diff

  None (edit)
Description Paulo Andrade 2012-07-02 19:39:55 EDT
Some time ago I did exchange several emails with clisp developers to have a way to disable readline and work with pexpect (that allocates a pseudo tty) that sagemath uses to talk to maxima. Most of the discussion can be seen at http://sourceforge.net/mailarchive/forum.php?thread_name=4B8D57D2.4080002%40gnu.org&forum_name=clisp-devel

  I will try to open a related bug report to upstream maxima, as maxima --help tells about the --disable-readline option, but it does nothing if using clisp as lisp backend.

  I use a variant (just rediffed it in fedora) of the attached patch in Mandriva.
Comment 1 Paulo Andrade 2012-07-02 19:40:37 EDT
Created attachment 595833 [details]
maxima-5.27.0-clisp-noreadline.patch
Comment 2 Paulo Andrade 2012-07-02 19:49:52 EDT
I just created a maxima upstream bug report backpointing to here, and with extra information at https://sourceforge.net/tracker/?func=detail&aid=3539587&group_id=4933&atid=104933
Comment 3 Rex Dieter 2012-07-08 12:03:57 EDT
%changelog
* Sun Jul 08 2012 Rex Dieter <rdieter@fedoraproject.org> 5.27.0-7
- RFE: Add patch to allow disabling readline in maxima-runtime-clisp (#837142)

Note You need to log in before you can comment on or make changes to this bug.